# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Data/Stream/Bulk/Callback.pm) perl(Digest/HMAC_SHA1.pm) perl(Digest/MD5.pm) perl(File/stat.pm) perl(HTTP/Date.pm) perl(HTTP/Status.pm) perl(IO/File.pm) perl(LWP/Simple.pm) perl(MIME/Base64.pm) perl(Moose/Util/TypeConstraints.pm) perl(URI/Escape.pm) perl(URI/QueryParam.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Summary: Use the Amazon Simple Storage Service (S3)
Name: perl-Net-Amazon-S3
Version: 0.53
Release: alt1_5
License: GPL+ or Artistic
Group: Development/Perl
URL: http://search.cpan.org/dist/Net-Amazon-S3/
Source0: http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/Net-Amazon-S3-%{version}.tar.gz

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)
BuildRequires: perl(Class/Accessor/Fast.pm)
BuildRequires: perl(Class/MOP.pm)
BuildRequires: perl(Data/Stream/Bulk.pm)
BuildRequires: perl(DateTime/Format/HTTP.pm)
BuildRequires: perl(DateTime/Format/ISO8601.pm)
BuildRequires: perl(LWP/UserAgent/Determined.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(MooseX/StrictConstructor.pm)
BuildRequires: perl(MooseX/Types/DateTimeX.pm)
BuildRequires: perl(Regexp/Common.pm)
BuildRequires: perl(XML/LibXML.pm)
BuildRequires: perl(XML/LibXML/XPathContext.pm)
BuildRequires: perl(Test/Exception.pm)
BuildRequires: perl(Digest/MD5/File.pm)


Requires: perl-URI
Requires: perl
Requires: perl(LWP/UserAgent/Determined.pm)
Requires: perl(XML/LibXML.pm)
Requires: perl(XML/LibXML/XPathContext.pm)
Requires: perl(Class/Accessor.pm)
Requires: perl(Digest/MD5/File.pm)
Source44: import.info


%description
This module provides a Perlish interface to Amazon S3. From the
developer blurb: "Amazon S3 is storage for the Internet. It is designed
to make web-scale computing easier for developers. Amazon S3 provides a
simple web services interface that can be used to store and retrieve any
amount of data, at any time, from anywhere on the web. It gives any
developer access to the same highly scalable, reliable, fast,
inexpensive data storage infrastructure that Amazon uses to run its own
global network of web sites. The service aims to maximize benefits of
scale and to pass those benefits on to developers".

To find out more about S3, please visit: http://s3.amazonaws.com/


%prep
%setup -q -n Net-Amazon-S3-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*


%check
make test


%files
%doc CHANGES README
%dir %{perl_vendor_privlib}/Net
%dir %{perl_vendor_privlib}/Net/Amazon
%dir %{perl_vendor_privlib}/Net/Amazon/S3
%dir %{perl_vendor_privlib}/Net/Amazon/S3/Client
%dir %{perl_vendor_privlib}/Net/Amazon/S3/Request
%{perl_vendor_privlib}/Net/Amazon/S3.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Bucket.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Client.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Client/Bucket.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Client/Object.pm
%{perl_vendor_privlib}/Net/Amazon/S3/HTTPRequest.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/CreateBucket.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/DeleteBucket.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/DeleteObject.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/GetBucketAccessControl.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/GetBucketLocationConstraint.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/GetObject.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/GetObjectAccessControl.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/ListAllMyBuckets.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/ListBucket.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/PutObject.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/SetBucketAccessControl.pm
%{perl_vendor_privlib}/Net/Amazon/S3/Request/SetObjectAccessControl.pm

%changelog
* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1_5
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1_3
- fc import

